<template>
  <div>
    <Navbar />
      <v-tabs
        v-model="tab"
        background-color="green accent-4"
        class="elevation-2"
        dark
        :centered="centered"
        :grow="grow"
        :vertical="vertical"
        :right="right"
        :prev-icon="prevIcon ? 'mdi-arrow-left-bold-box-outline' : undefined"
        :next-icon="nextIcon ? 'mdi-arrow-right-bold-box-outline' : undefined"
        :icons-and-text="icons"
      >
        <v-tabs-slider></v-tabs-slider>

        <v-tab :href="`#tab-1`">ข่าวสาร</v-tab>
        <v-tab :href="`#tab-2`">กิจกรรม</v-tab>
        <v-tab :href="`#tab-3`">ข่าวเด่นประจำสัปดาห์</v-tab>
        <!-- first tab -->
        <v-tab-item :value="'tab-1'">
          <v-row>
            <v-col cols="12" class="text-center">
              <h2>
                <u>ข่าวสารประจำสัปดาห์นี้</u>
              </h2>
            </v-col>
          </v-row>
          <v-row>
            <v-col cols="6" md="3" v-for="item in datas" :key="item.id">
              <v-card class="mx-auto" max-width="400" style="width: 100%; height:100%; position: relative; margin-bottom: 50px;" hover>
                <v-img
                  class="white--text align-end"
                  height="200px"
                  :src="paths+item.picture[0]"
                ></v-img>

                <v-card-subtitle class="pb-0">
                  <i class="fa fa-newspaper-o" aria-hidden="true"></i> :
                  <b class="titles">{{item.type_name}}</b>
                </v-card-subtitle>

                <v-card-text class="text--primary">
                  <div>
                    <i class="fa fa-calendar-o" aria-hidden="true"></i>
                    : {{dthai = item.created_at}}
                  </div>
                  <div>{{item.title}}</div>
                </v-card-text>

                <v-card-actions>
                  <div style="margin-bottom: 10px; bottom: 0; position: absolute;"><v-btn color="orange" @click="detail_news(item)">อ่านเพิ่ม</v-btn></div>
                </v-card-actions>
              </v-card>
            </v-col>
          </v-row>
        </v-tab-item>
        <!-- second tab -->
        <v-tab-item :value="'tab-2'">
          <v-row>
            <v-col cols="12" class="text-center">
              <h2>
                <u>กิจกรรมประจำสัปดาห์นี้</u>
              </h2>
            </v-col>
          </v-row>
          <v-row>
            <v-col cols="6" md="3" v-for="item in datasActivity" :key="item.id">
              <v-card class="mx-auto" max-width="400" style="width: 100%; height:100%; position: relative; margin-bottom: 50px;" hover>
                <v-img
                  class="white--text align-end"
                  height="200px"
                  :src="paths+item.picture[0]"
                ></v-img>
                <v-card-subtitle class="pb-0">
                  <i class="fa fa-newspaper-o" aria-hidden="true"></i> :
                  <b class="titles">{{item.type_name}}</b>
                </v-card-subtitle>
                <v-card-text class="text--primary">
                  <div>
                    <i class="fa fa-calendar-o" aria-hidden="true"></i>
                    : {{dthai = item.created_at}}
                  </div>
                  <div>{{item.title}}</div>

                  <!-- <div>{{item.detail}}</div> -->
                </v-card-text>

                <v-card-actions justify="end">
                  <div style="margin-bottom: 10px; bottom: 0; position: absolute;"><v-btn color="orange" @click="detail_activity(item)">อ่านเพิ่ม</v-btn></div>
                </v-card-actions>
              </v-card>
            </v-col>
          </v-row>
        </v-tab-item>
        <!-- third tab -->
        <v-tab-item :value="'tab-3'">
          <v-row>
            <v-col cols="12" class="text-center">
              <h2>
                <u>ข่าวเด่นประจำสัปดาห์นี้</u>
              </h2>
            </v-col>
          </v-row>
          <v-row>
            <v-col cols="6" md="3" v-for="item in datasNewGoal" :key="item.title">
              <v-card class="mx-auto" max-width="400" style="width: 100%; height:100%;">
                <v-img
                  class="white--text align-end"
                  height="200px"
                  :src="item.enclosure['@attributes'].url"
                >
                  <v-card-title>Top 10 Australian beaches</v-card-title>
                </v-img>

                <v-card-subtitle class="pb-0">
                  <i class="fa fa-newspaper-o" aria-hidden="true"></i>
                  : &nbsp;&nbsp;
                  <a
                    :href="item.link"
                    target="blank"
                  >แหล่งอ้างอิง / อ่านเพิ่ม</a>
                </v-card-subtitle>

                <v-card-text class="text--primary">
                  <div class="detail">{{item.title}}</div>
                </v-card-text>
              </v-card>
            </v-col>
          </v-row>
        </v-tab-item>
      </v-tabs>

  </div>
</template>
<style scoped>
.titles {
  text-decoration: blink;
  color: #3366cc;
}
</style>
<script>
import Navbar from '../../components/yuth/navbar_page'
export default {
  components: { Navbar },
  data () {
    return {
      datas: [],
      datasActivity: [],
      datasNewGoal: [],
      name: 'MyComponent',
      tab: null,
      icons: false,
      centered: true,
      grow: true,
      vertical: false,
      prevIcon: false,
      nextIcon: false,
      right: false,
      tabs: 3,
      dthai: '',
      paths: process.env.VUE_APP_API
    }
  },
  created () {
    this.getDataNew()
    this.getDataActivity()
    this.getDataNewGoal()
  },
  methods: {
    async detail_news (val) {
      await this.$store.dispatch('get_news', val)
      console.log('id', this.$store.getters.news)
      this.$router.push('/detail_news')
    },
    async detail_activity (val) {
      await this.$store.dispatch('get_activity', val)
      console.log('id', this.$store.getters.activity)
      this.$router.push('/detail_activity')
    },
    async getDataNew () {
      try {
        var { data } = await this.axios.get(process.env.VUE_APP_API + '/api/news/index')
        console.log(data)
        this.datas = data.data
        console.log(this.datas)
      } catch (error) {
        console.log(error.message)
      }
    },
    async getDataActivity () {
      try {
        var { data } = await this.axios.get(process.env.VUE_APP_API + '/api/news/activity/index')
        console.log(data)
        this.datasActivity = data.data
        console.log(this.datasActivity)
      } catch (error) {
        console.log(error.message)
      }
    },
    async getDataNewGoal () {
      try {
        var { data } = await this.axios.get(process.env.VUE_APP_API + '/api/news/lastestnews')
        console.log(data)
        this.datasNewGoal = data.data
        console.log(this.datasNewGoal)
      } catch (error) {
        console.log(error.message)
      }
    },
    convertDate (dates) {
      // var thday = new Array('อาทิตย์', 'จันทร์', 'อังคาร', 'พุธ', 'พฤหัสบดี', 'ศุกร์', 'เสาร์')
      var thmonth = []
      thmonth = ['มกราคม', 'กุมภาพันธ์', 'มีนาคม', 'เมษายน', 'พฤษภาคม', 'มิถุนายน', 'กรกฎาคม', 'สิงหาคม', 'กันยายน', 'ตุลาคม', 'พฤษจิกายน', 'ธันวาคม']
      var y = dates.substr(0, 4)
      var m = dates.substr(5, 2)
      var d = dates.substr(8, 2)
      console.log('y =' + y, 'm=' + m, 'd =' + d)
      var r = parseInt(d) + ' ' + thmonth[parseInt(m) - 1] + ' ' + (parseInt(y) + 543)
      console.log(r)
      return r
    }
  }
}
</script>
